package edu.wpi.ejutr.logger;

public class LogObjectAddition implements EJUTRLogEntry {

	private String instanceName;
	private String objectName;
	
	LogObjectAddition(String instanceName, String objectName) {
		this.instanceName = instanceName;
		this.objectName = objectName;
	}
	
	public int getLogEntryType() {
		return EJUTRLogEntry.OBJECT_ADDITION;
	}
	
	public String to_String() {
		String ret = "";		
		ret = "// object addition \n" + 
		      objectName + " " + instanceName + " = new " + objectName + "();\n";
		return ret;
	}
}
