package edu.wpi.ejutr.debug;

import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.swt.widgets.Display;

/**
 * Simple class which displays a message dialog.
 * @author Ben Mohlenhoff
 */
public class DebugDialog {
	
	private static boolean isOn = true;
	
	public static void show(String message) {
		if (isOn) {
			MessageDialog.openInformation(Display.getCurrent().getActiveShell(),
	                "E-JUTR DEBUG DIALOG", message); 
		}
	}
	
	public static void printToConsole(String message) {
		if (isOn) {
			System.out.println(message);
		}
	}
	
	public static void off() {
		isOn = false;
	}
	
	public static void on() {
		isOn = true;
	}
	
}
