package edu.wpi.ejutr.logger;

public class LogObjectRemoval implements EJUTRLogEntry {

	private String instanceName;
	private String objectName;
	
	public LogObjectRemoval(String instanceName, String objectName) {
		this.instanceName = instanceName;
		this.objectName = objectName;
	}
	
	public String to_String() {
		return "// REMOVAL: " + objectName + " " + instanceName;
	}
	
	public int getLogEntryType() {
		return EJUTRLogEntry.OBJECT_REMOVAL;
	}
	
}
